Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class WarPlugin

    java.lang.Object
      org.gradle.api.plugins.WarPlugin

All Implemented Interfaces:
  Plugin

    public class WarPlugin

A Plugin which extends the JavaPlugin to add tasks which assemble a web application into a WAR file.

Field Summary
`static String` | `PROVIDED_COMPILE_CONFIGURATION_NAME`
`static String` | `PROVIDED_RUNTIME_CONFIGURATION_NAME`
`static String` | `WAR_TASK_NAME`
`static String` | `WEB_APP_GROUP`

Method Summary
`void` | `apply(Project project)`
`void` | `configureConfigurations(ConfigurationContainer configurationContainer)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### PROVIDED_COMPILE_CONFIGURATION_NAME

    public static final String PROVIDED_COMPILE_CONFIGURATION_NAME

### PROVIDED_RUNTIME_CONFIGURATION_NAME

    public static final String PROVIDED_RUNTIME_CONFIGURATION_NAME

### WAR_TASK_NAME

    public static final String WAR_TASK_NAME

### WEB_APP_GROUP

    public static final String WEB_APP_GROUP

Method Detail

### apply

    public void apply(Project project)

### configureConfigurations

    public void configureConfigurations(ConfigurationContainer configurationContainer)

Gradle API 1.10